Just thought to ask as FF 3.6.13 works on Windows 98 with KernelEx-4.5-RC5, I am wondering if anyone knows what the system requirements might be for Firefox version 4 when it is officially released from beta? In other words will FF Version 4 work similar to FF V3.6.13? I know I could give the Beta a test, but I don't want to muck up my installation as it works really well at present. If anyone has tried it that uses win98 & KernelEx-4.5-RC5 is what I really would like to know.